
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "dreader/version"

Gem::Specification.new do |spec|
  spec.name          = "dreader"
  spec.version       = Dreader::VERSION
  spec.authors       = ["Adolfo Villafiorita"]
  spec.email         = ["adolfo.villafiorita@ict4g.net"]

  spec.summary       = %q{Process and import data from cvs and spreadsheets}
  spec.description   = %q{Use this gem to specify the structure of some tabular data
you want to process.  The input data can be in CSV, LibreOffice, and Excel.  Each row
can then be passed to a block of code you define.

The gem can thus be used to check, process, import data. We use it to import data into
Rails application, but the gem can used in any Ruby application.

The gem should be relatively easy to use, despite its name. (Dread
stands for *d*ata *r*eader)}
  spec.homepage      = "https://ict4g.net/gitea/adolfo/dreader"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_runtime_dependency "roo"
end
